Name: prince-of-persia
Version: 1.3
Release: alt1
Group: Games/Arcade
URL: https://www.popuw.com/
Source0: %name-%version.tgz
Source1: %name.png
License: proprietary
Summary: Prince of Persia is a cinematic platform game.
Requires: dosbox

%description
It is a time of darkness.  While the sultan is off fighting a foreign
war, his Grand Vizier Jaffar has seized the reins of power.
Throughout the land,  the people groan under the yoke of tyranny,
and dream of better days.
You are the only obstacle between Jaffar and the throne.  An
adventurer from a foreign land, innocent of palace intrigues, you have
won the heart of the Sultan's lovely young daughter.  And in so doing,
you have unwittingly made a powerful enemy.
On Jaffar's orders, you are arrested, stripped of your sword and
possessions, and thrown into the Sultan's dungeons.  As for the
Princess, Jaffar gives her a choice, and an hour to decide: Marry
him--or die.
Locked in her room high in the palace tower, the Princess rests all
her hopes on you.  For when the last sands drain from the hourglass,
her choice can bring only a throne for the Grand Vizier...a new reign
of terror for his long-suffering subjects...and death for the brave
youth who might have been...Prince of Persia.

%prep
%setup

%install
mkdir -p %buildroot/opt/%name/
mkdir -p %buildroot/%_desktopdir
mkdir -p %buildroot/%_iconsdir/%name/

cp %SOURCE1 %buildroot/%_iconsdir/%name/%name.png
cp -r ./* %buildroot/opt/%name/

# create desktop
cat << EOF > %buildroot/%_desktopdir/%name.desktop
[Desktop Entry]
Version=1.0
Type=Application
Terminal=false
Categories=Game
Name=Prince Of Persia
Exec=dosbox -conf /opt/%name/dosbox_%name.conf
Icon=%_iconsdir/%name/%name.png
EOF

%post
dosbox_conf=$(dosbox -printconf)
cp ${dosbox_conf} /opt/%name/dosbox_%name.conf
cat << EOF >>  /opt/%name/dosbox_%name.conf
mount c /opt/%name/
c:
prince.exe
EOF
rm -f ${dosbox_conf}

%files
%doc MANUAL.TXT MANUAL/POPCE_MANUAL.PDF
/opt/%name/*
%_desktopdir/%name.desktop
%_iconsdir/%name/%name.png

%changelog
* Fri Jun 16 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.3-alt1
- Initial build.
